// RecorderDlg.h : header file
//

#if !defined(AFX_RECORDERDLG_H__DE62C508_E6E2_4413_ABC4_B2075527A70E__INCLUDED_)
#define AFX_RECORDERDLG_H__DE62C508_E6E2_4413_ABC4_B2075527A70E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define  INP_BUFFER_SIZE 16384

/////////////////////////////////////////////////////////////////////////////
// CRecorderDlg dialog

class CRecorderDlg : public CDialog
{
// Construction
public:
	CRecorderDlg(CWnd* pParent = NULL);	// standard constructor

	BOOL bRecording,bPlaying,bReverse,bPaused,bEnding,bTerminating;
	DWORD dwDataLength,dwRepetitions;
	HWAVEIN hWaveIn;
	HWAVEOUT hWaveOut;
	PBYTE pBuffer1,pBuffer2,pSaveBuffer,pNewBuffer;
	PWAVEHDR pWaveHdr1,pWaveHdr2;
	/*
	static TCHAR szOpenError[] =_T("Erro opening waveform audio!");
	static TCHAR szMemError[] =_T("Erro allocationg memory!");*/
	
	WAVEFORMATEX waveform;

// Dialog Data
	//{{AFX_DATA(CRecorderDlg)
	enum { IDD = IDD_RECORDER_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRecorderDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRecorderDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnRecStart();
	afx_msg void OnRecStop();
	afx_msg void OnMM_WIM_OPEN(UINT wParam,LONG lParam);
	afx_msg void OnMM_WIM_DATA(UINT wParam,LONG lParam);
	afx_msg void OnMM_WIM_CLOSE(UINT wParam,LONG lParam);
	afx_msg void OnMM_WOM_OPEN(UINT wParam,LONG lParam);
	afx_msg void OnMM_WOM_DONE(UINT wParam,LONG lParam);
	afx_msg void OnMM_WOM_CLOSE(UINT wParam,LONG lParam);
	afx_msg void OnDestroy();
	afx_msg void OnPlayStart();
	afx_msg void OnPlayPause();
	afx_msg void OnPlayStop();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RECORDERDLG_H__DE62C508_E6E2_4413_ABC4_B2075527A70E__INCLUDED_)
